Skip to main content
GET
/
grok
/
fetch
cURL
curl --request GET \
  --url https://api.ttapi.io/grok/fetch \
  --header 'TT-API-KEY: <api-key>'
{
  "status": "SUCCESS",
  "message": "success",
  "jobId": "c822d894-fba8-4cd7-8b34-5cf54284af61",
  "data": {
    "videoId": "video_b96164dd8bfa43518c858bcf",
    "prompt": "Static camera shot of ants crawling on a stone lantern with flowers and grass gently swaying in the breeze in the background, accompanied by the sound of cicadas",
    "aspectRatio": "9:16",
    "videoLength": "30",
    "resolutionName": "720p",
    "referImage": "https://api.nananobanana.cn/api/cos-proxy/default-tenant-001/images/a515af9c-1619-42e8-abc7-97a6792ec524.png",
    "videoUrl": "https://cdn.ttapi.io/other/2026-03-10/56a8bece963a4e8e9a585f41c5d24162.mp4",
    "quota": "9",
    "finishTime": "2026-03-10 09:52:59",
    "hookUrl": null
  }
}

Authorizations

TT-API-KEY
string
header
required

You can obtain your API key from the TTAPI Dashboard.

Query Parameters

jobId
string
required

Job ID of the generated video

Response

Request successful

status
enum<string>
required

Task status: pending queue/queued/success/failed

Available options:
PENDING_QUEUE,
ON_QUEUE,
SUCCESS,
FAILED
message
string
required

Response message

jobId
string

Task ID

data
object

Task result

Last modified on March 13, 2026